package com.bytedance.android.livesdk.model.message;

import X.C3553GuA;
import X.C4453HKs;
import com.bytedance.android.live.base.model.emoji.EmoteModel;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.List;

public class EmoteChatMessage extends C3553GuA {
    @c(LIZ = "emote_list")
    public List<EmoteModel> LIZ;
    @c(LIZ = "user")
    public User LIZIZ;

    static {
        Covode.recordClassIndex(19038);
    }

    public final boolean LIZ() {
        return false;
    }

    public EmoteChatMessage() {
        this.LJJIL = C4453HKs.EMOTE_CHAT;
    }

    public final boolean LIZIZ() {
        List<EmoteModel> list;
        if (this.LIZIZ == null || (list = this.LIZ) == null || list.isEmpty()) {
            return false;
        }
        return true;
    }
}
